%define po_package gok

Summary: GNOME Onscreen Keyboard
Name: gok
Version: 1.2.0
Release: 2%{?dist}
License: GPL
Group: Desktop/Accessibility
URL: http://www.gok.ca/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gok/1.0/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch2: gok-0.10.2-launcher.patch

Requires(pre):   GConf2
Requires(post):   GConf2
Requires(post):   scrollkeeper >= 0.1.4
Requires(preun):   GConf2
Requires(postun): scrollkeeper >= 0.1.4
Requires:	at-spi
BuildRequires:	at-spi-devel
BuildRequires:	gail-devel
BuildRequires:  intltool
BuildRequires:  scrollkeeper
BuildRequires:  libgnomeui-devel
BuildRequires:  libwnck-devel
BuildRequires:  gnome-speech-devel
BuildRequires:  gtk-doc
BuildRequires:  m4
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
BuildRequires:  libXt-devel

%description
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse, leveraging GNOME's
built-in accessibility framework.

%package devel
Summary: Libraries/include files for GStreamer plugins.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel atk-devel libbonobo-devel gtk2-devel gail-devel libwnck-devel esound-devel at-spi-devel

%description devel
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse, leveraging GNOME's
built-in accessibility framework.

This package contains the libraries and includes files necessary to develop
applications and plugins for gok.

%prep
%setup -q
%patch2 -p1 -b .launcher

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gok.desktop

%find_lang %{po_package}


%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gok.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gok.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gok.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q


%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc
%{_sysconfdir}/gconf/schemas/*schemas
%{_bindir}/gok
%{_bindir}/create-branching-keyboard
%{_libdir}/bonobo/servers/GNOME_Gok.server
%{_datadir}/gok
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/gtk-doc/html
#%{_datadir}/applications/gok.desktop

%{_datadir}/pixmaps/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*pc

%changelog
* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 1.2.0-2
- Fix scripts according to packaging guidelines

* Fri Sep  8 2006 Matthias Clasen <mclasen@redhat.com> - 1.2.0-1
- Update to 1.2.0
- Fix directory ownership issues (#205681)

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 1.1.1-1
- Update to 1.1.1

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.10-2.1
- rebuild

* Thu May 18 2006 Matthias Clasen <mclasen@redhat.com> - 1.0.10-2
- Update to 1.0.10

* Mon May 15 2006 John (J5) Palmieri <johnp@redhat.com> - 1.0.8-2.1
- bump and rebuild

* Wed May 10 2006 Matthias Clasen <mclasen@redhat.com> 1.0.8-2
- Update to 1.0.8

* Tue Mar 14 2006 Ray Strode <rstrode@redhat.de> 1.0.7-1
- Update to 1.0.7

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 1.0.6-2
- BuildRequires: libXt-devel

* Mon Feb 13 2006 Matthias Clasen <mclasen@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-6.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-6.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 21 2005 Matthias Clasen <mclasen@redhat.com>
- don't crash when getting unexpected values from gconf

* Mon Nov 21 2005 Matthias Clasen <mclasen@redhat.com>
- fix memory handling errors 

* Fri Nov 18 2005 Bill Nottingham <notting@redhat.com>
- with modular X in /usr/%{_lib}, libdir patch isn't needed - remove it

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 
- Rebuilt

* Wed Aug 10 2005 Matthias Clasen <mclasen@redhat.com> 1.0.5-3
- Rebuilt 

* Tue Jul 12 2005 Matthias Clasen <mclasen@redhat.com> 1.0.5-2
- Rebuilt 

* Tue Jun 28 2005 Matthias Clasen <mclasen@redhat.com> 1.0.5-1
- Update to 1.0.5

* Wed Mar 30 2005 Matthias Clasen <mclasen@redhat.com> 1.0.3-1
- Update to 1.0.3
- Add missing Requires (#152489)

* Mon Mar 14 2005 Matthias Clasen <mclasen@redhat.com> 1.0.2-1
- Update to 1.0.2

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 1.0.1-2
- Rebuild with gcc4

* Mon Feb 28 2005 Matthias Clasen <mclasen@redhat.com> 1.0.1-1
- Update to 1.0.1

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 0.12.3-1
- Update to 0.12.3

* Fri Jan 28 2005 Matthias Clasen <mclasen@redhat.com> 0.12.1-1
- Update to 0.12.1

* Mon Sep 20 2004 Colin Walters <walters@redhat.com> 0.11.8-1
- Update to 0.11.8

* Wed Aug 31 2004 Colin Walters <walters@redhat.com> 0.11.7-1
- Update to 0.11.7

* Wed Aug 16 2004 Colin Walters <walters@redhat.com> 0.11.6-1
- Update to 0.11.6

* Wed Aug 04 2004 Colin Walters <walters@redhat.com> 0.11.5-1
- Update to 0.11.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 18 2004 Colin Walters <walters@redhat.com> 0.11.2-2
- Bust out new -devel package, make it depend on various
  other -devel packages.  Note this package is pretty much
  useless, but since upstream ships a .pc file we basically
  have to do it.
- Add BuildRequires on perl-libxml-enno
- Cut down obnoxiously long description

* Fri May 14 2004 Colin Walters <walters@redhat.com> 0.11.2-1
- New upstream version
- Use htmlview instead of mozilla directly
- BuildRequires gnome-speech-devel

* Wed Apr 21 2004 Nils Philippsen <nphilipp@redhat.com> 0.10.2-1
- version 0.10.2 fixes #118504
- use source URL
- remove desktop file as gok only works with a11y on and can be started
  from there

* Sun Apr 11 2004 Warren Togami <wtogami@redhat.com> 0.10.0-2
- BR intltool scrollkeeper libgnomeui-devel libwnck-devel gtk-doc m4 gettext

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.10.0-1
- Update to 0.10.0

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 0.9.11-1
- Update to 0.9.11

* Wed Mar 17 2004 Jonathan Blandford <jrb@redhat.com> 0.9.10-2
- rebuild

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 0.9.10-1
- Update to 0.9.10

* Thu Mar  4 2004 Mark McLoughlin <markmc@redhat.com> 0.9.9-1
- Update to 0.9.9

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.9.8-1
- update to 0.9.8

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Sep  9 2003 Jonathan Blandford <jrb@redhat.com>
- update for GNOME 2.4

* Mon Jul 21 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May  5 2003 Jonathan Blandford <jrb@redhat.com> 
- Initial build.


